## org.red5.server.net.rtmp.event
Class FlexStreamSend

    java.lang.Object
      org.red5.server.net.rtmp.event.BaseEvent
          org.red5.server.net.rtmp.event.Notify
              org.red5.server.net.rtmp.event.FlexStreamSend

All Implemented Interfaces:
  Externalizable, Serializable, IEvent, IStreamPacket, IRTMPEvent, Constants, IStreamData

    public class FlexStreamSend

extends Notify

AMF3 stream send message.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.event.IEvent
`IEvent.Type`

Field Summary

Fields inherited from class org.red5.server.net.rtmp.event.Notify
`call, data`

Fields inherited from class org.red5.server.net.rtmp.event.BaseEvent
`header, object, refcount, source, timestamp`

Fields inherited from interface org.red5.server.net.rtmp.message.Constants

`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

Constructor Summary
`FlexStreamSend()`
`FlexStreamSend(IoBuffer data)` Create new stream send object.

Method Summary
`byte` `getDataType()` Getter for data type

Methods inherited from class org.red5.server.net.rtmp.event.Notify
`doRelease, duplicate, equals, getCall, getConnectionParams, getData, getInvokeId, readExternal, releaseInternal, setCall, setConnectionParams, setData, setInvokeId, toString, writeExternal`

Methods inherited from class org.red5.server.net.rtmp.event.BaseEvent
`getHeader, getObject, getSource, getSourceType, getTimestamp, getType, hasSource, release, retain, setHeader, setSource, setSourceType, setTimestamp, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.red5.server.api.stream.IStreamPacket
`getTimestamp`

Constructor Detail

### FlexStreamSend

    public FlexStreamSend()

### FlexStreamSend

    public FlexStreamSend(IoBuffer data)

  Create new stream send object.

  Parameters:
    `data` - data

Method Detail

### getDataType

    public byte getDataType()

  Getter for data type

  Specified by:
    `getDataType` in interface `IStreamPacket`
  Specified by:
    `getDataType` in interface `IRTMPEvent`
  Overrides:
    `getDataType` in class `Notify`
  Returns:
    Data type

Copyright © 2006-2010 The Red5 Project